aboutsummaryrefslogtreecommitdiffstats
path: root/main/ruby-jquery-rails/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2012-10-25 06:45:53 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2012-10-25 06:45:53 +0000
commitc9d484f03f5f19819dfaefc2c5111a90faea72f1 (patch)
tree71a979f0875738567392333f68d2a304c7a33da1 /main/ruby-jquery-rails/APKBUILD
parentd295788fa3229add84aad7366bb62669cefe9349 (diff)
downloadaports-c9d484f03f5f19819dfaefc2c5111a90faea72f1.tar.gz
aports-c9d484f03f5f19819dfaefc2c5111a90faea72f1.tar.bz2
aports-c9d484f03f5f19819dfaefc2c5111a90faea72f1.tar.xz
main/ruby-jquery-rails: new aport
jQuery and the jQuery-ujs driver for Rails 3 http://rubygems.org/gems/jquery-rails
Diffstat (limited to 'main/ruby-jquery-rails/APKBUILD')
-rw-r--r--main/ruby-jquery-rails/APKBUILD35
1 files changed, 35 insertions, 0 deletions
diff --git a/main/ruby-jquery-rails/APKBUILD b/main/ruby-jquery-rails/APKBUILD
new file mode 100644
index 0000000000..3e8f3aba68
--- /dev/null
+++ b/main/ruby-jquery-rails/APKBUILD
@@ -0,0 +1,35 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+_gemname=jquery-rails
+pkgname=ruby-$_gemname
+pkgver=2.1.3
+pkgrel=0
+pkgdesc="jQuery and the jQuery-ujs driver for Rails 3"
+url="http://rubygems.org/gems/jquery-rails"
+arch="noarch"
+license="MIT"
+depends="ruby ruby-railties ruby-thor"
+depends_dev=
+makedepends="$depends_dev ruby-gems"
+install=""
+subpackages=""
+source="http://gems.rubyforge.org/gems/$_gemname-$pkgver.gem"
+
+_builddir="$srcdir"/$_realname-$pkgver
+build() {
+ return 0
+}
+
+package() {
+ local _gemdir="$(ruby -rubygems -e'puts Gem.default_dir')"
+ local _geminstdir=$_gemdir/gems/$_gemname-$pkgver
+ mkdir -p "$pkgdir" || return 1
+
+ gem install --local --install-dir "$pkgdir"/$_gemdir \
+ --ignore-dependencies --verbose --no-rdoc --no-ri \
+ "$srcdir"/$_gemname-$pkgver.gem || return 1
+ rm -rf "$pkgdir"/$_gemdir/cache \
+ "$pkgdir"/$_geminstdir/ext \
+ "$pkgdir"/$_geminstdir/.require_paths
+}
+
+md5sums="d9a66b0e9a6aeadf3c6400d600d73994 jquery-rails-2.1.3.gem"